/*
  Weer.h
  Copyright (c) 2014 Kenneth van Ewijk.  All right reserved.
*/

// ensure this library description is only included once
#ifndef Weer_h
#define Weer_h

// library interface description
class Weer
{
  // user-accessible "public" interface
  public:
    Weer(void);
    void setTemp(double);
    void calcTemp(int);
    double getTemp(void);
  private:
    int min;
    int newdag;
    int dag;
    double rd;
    double rd2;
    double amp;
    double outsideTemp;
    double eq;
};

#endif